Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.type
Class EnumType

    java.lang.Object
      org.hibernate.type.EnumType

All Implemented Interfaces:
  Serializable, org.hibernate.usertype.ParameterizedType, org.hibernate.usertype.UserType

    public class EnumType

extends Object
implements org.hibernate.usertype.UserType, org.hibernate.usertype.ParameterizedType, Serializable

Enum type mapper Try and find the appropriate SQL type depending on column metadata

Author:
  Emmanuel Bernard
See Also:
  Serialized Form

Field Summary
`static String` | `CATALOG`
`static String` | `COLUMN`
`static String` | `ENUM`
`static String` | `SCHEMA`
`static String` | `TABLE`
`static String` | `TYPE`

Constructor Summary
`EnumType()`

Method Summary
`Object` | `assemble(Serializable cached, Object owner)`
`Object` | `deepCopy(Object value)`
`Serializable` | `disassemble(Object value)`
`boolean` | `equals(Object x, Object y)`
`int` | `hashCode(Object x)`
`boolean` | `isMutable()`
`Object` | `nullSafeGet(ResultSet rs, String[] names, Object owner)`
`void` | `nullSafeSet(PreparedStatement st, Object value, int index)`
`Object` | `replace(Object original, Object target, Object owner)`
`Class` | `returnedClass()`
`void` | `setParameterValues(Properties parameters)`
`int[]` | `sqlTypes()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ENUM

    public static final String ENUM

See Also:
  Constant Field Values

### SCHEMA

    public static final String SCHEMA

See Also:
  Constant Field Values

### CATALOG

    public static final String CATALOG

See Also:
  Constant Field Values

### TABLE

    public static final String TABLE

See Also:
  Constant Field Values

### COLUMN

    public static final String COLUMN

See Also:
  Constant Field Values

### TYPE

    public static final String TYPE

See Also:
  Constant Field Values

Constructor Detail

### EnumType

    public EnumType()

Method Detail

### sqlTypes

    public int[] sqlTypes()

  Specified by:
    `sqlTypes` in interface `org.hibernate.usertype.UserType`

### returnedClass

    public Class returnedClass()

  Specified by:
    `returnedClass` in interface `org.hibernate.usertype.UserType`

### equals

    public boolean equals(Object x,
                          Object y)
                   throws org.hibernate.HibernateException

  Specified by:
    `equals` in interface `org.hibernate.usertype.UserType`
  Throws:
    `org.hibernate.HibernateException`

### hashCode

    public int hashCode(Object x)
                 throws org.hibernate.HibernateException

  Specified by:
    `hashCode` in interface `org.hibernate.usertype.UserType`
  Throws:
    `org.hibernate.HibernateException`

### nullSafeGet

    public Object nullSafeGet(ResultSet rs,
                              String[] names,
                              Object owner)
                       throws org.hibernate.HibernateException,
                              SQLException

  Specified by:
    `nullSafeGet` in interface `org.hibernate.usertype.UserType`
  Throws:
    `org.hibernate.HibernateException`
    `SQLException`

### nullSafeSet

    public void nullSafeSet(PreparedStatement st,
                            Object value,
                            int index)
                     throws org.hibernate.HibernateException,
                            SQLException

  Specified by:
    `nullSafeSet` in interface `org.hibernate.usertype.UserType`
  Throws:
    `org.hibernate.HibernateException`
    `SQLException`

### deepCopy

    public Object deepCopy(Object value)
                    throws org.hibernate.HibernateException

  Specified by:
    `deepCopy` in interface `org.hibernate.usertype.UserType`
  Throws:
    `org.hibernate.HibernateException`

### isMutable

    public boolean isMutable()

  Specified by:
    `isMutable` in interface `org.hibernate.usertype.UserType`

### disassemble

    public Serializable disassemble(Object value)
                             throws org.hibernate.HibernateException

  Specified by:
    `disassemble` in interface `org.hibernate.usertype.UserType`
  Throws:
    `org.hibernate.HibernateException`

### assemble

    public Object assemble(Serializable cached,
                           Object owner)
                    throws org.hibernate.HibernateException

  Specified by:
    `assemble` in interface `org.hibernate.usertype.UserType`
  Throws:
    `org.hibernate.HibernateException`

### replace

    public Object replace(Object original,
                          Object target,
                          Object owner)
                   throws org.hibernate.HibernateException

  Specified by:
    `replace` in interface `org.hibernate.usertype.UserType`
  Throws:
    `org.hibernate.HibernateException`

### setParameterValues

    public void setParameterValues(Properties parameters)

  Specified by:
    `setParameterValues` in interface `org.hibernate.usertype.ParameterizedType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD